html,
body {
	margin: 0;
	padding: 0;
	padding-right: 0px;
	padding-left: 0px;
	background-color: #343a40;
	width: 99.5%;
}


.container-fluid {
	margin-left: 2px;
	margin-right: 2px;
	padding-left: 0;
	padding-right: 0;
}

.reorder_rows_onDragClass {
	font-weight: bold;
}

.action-icon {
	width: 30px;
	height: 30px;
}

.action-icon-big {
	width: 40px;
	height: 40px;
	cursor: pointer;
}

.action-icon-small {
	width: 25px;
	height: 25px;
}

.action-icon-xsmall {
	width: 15px;
	height: 15px;
}

.icon-right {
	float: right;
}

.centered-td {
	text-align: center;
}

.spacer-y {
	padding-top: 30px;
}

.table {
	margin-bottom: 0px;
}


#container-produits {
	padding-bottom: 30px;
}

#liste-rayons,
#liste-produits,
#liste-courses,
#choix-liste,
#choix-magasin {
	cursor: pointer;
}

.page-item.active .page-link {
	color: #FFF;
	border: 1px solid #dee2e6;
	background-color: #212529;
}


thead tr.d-flex {
	background-color: #212529;
}

#button-listes,
#button-magasins,
#button-planning,
.btn-switch.active,
.input-group .input-group-append button,
.btn-nombre-repas,
.date-fin {
	border: 1px solid #000 !important;
}

#button-planning,
.nombre-repas,
.date-fin {
	margin-bottom: 5px;
}

.btn-nombre-repas {
	float: left;
}

.date-fin {
	float: left;
	display: none;
}

.form-control:not(.input-color) {
	/*width: 80%;
	margin-right : 5px;*/
}

.bootstrap-table .fixed-table-toolbar .bs-bars,
.bootstrap-table .fixed-table-toolbar .search,
.bootstrap-table .fixed-table-toolbar .columns {
	margin-top: 0px;
	margin-bottom: 0px;
}

.pagination-info {
	color: #6c757d;
	display: none;
}

.nope {
	display: none;
}

.no-flex-wrap {
	flex-wrap: nowrap;
}

h1 {
	color: cadetblue;
	opacity: 0.2;
}

#listes-container,
#magasins-container,
#bouton-ordre {
	line-height: 50px;
}

#choix-liste,
#choix-magasin {
	min-width: 150px;
}

#button-listes,
#button-magasins {
	width: 100%;
	text-align: right;
}


.fixed-table-toolbar .bs-bars {
	position: relative;
	margin-top: 0;
	margin-bottom: 0;
}

.fixed-table-toolbar .search {
	margin-bottom: 0;
}


.form-control {
	width: 100%;
	background-color: #212529;
	color: cadetblue;
	border: 1px solid #000;
}

.dropdown-menu {
	position: absolute;
	top: 100%;
	left: 0;
	z-index: 1000;
	display: none;
	float: left;
	min-width: 10rem;
	padding: 0.5rem 0;
	margin: 0.125rem 0 0;
	font-size: 0.875rem;
	color: #FFF;
	text-align: left;
	list-style: none;
	background-color: #212529;
	background-clip: padding-box;
	border: 1px solid rgba(0, 0, 0, 0.5);
	border-radius: 0.25rem;
}

.dropdown-item.active,
.dropdown-item:active {
	color: #CCC;
	text-decoration: none;
	background-color: #343a40;
}


.dropdown-item.disabled,
.dropdown-item:disabled {
	color: #CCC;
	text-decoration: none;
	background-color: #343a40;
}

.dropdown-item.hover,
.dropdown-item:hover {
	color: #FFF;
	text-decoration: none;
	background-color: #343a40;
}

.dropdown-divider {
	border-top: 1px solid #343a40;
}


.dropdown-item {

	color: #CCC;
	padding: .25rem .5rem;
}


tr:hover {
	background: linear-gradient(to right, rgba(0, 106, 147, 0.2) 0%, rgba(0, 0, 0, 0) 100%);
}

.edit-icon {
	opacity: 0.3;
	cursor: pointer;
}

th.rayon,
th.ordre,
th.produit {
	background: linear-gradient(to right, rgb(0, 0, 13, 0.8) 0%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 0) 100%);
}

.thead-dark {
	background-color: #212529;
}

th.delete-produit {
	background-color: #000 !important;
}


.table-bordered td,
.table-bordered th {
	border-left: 0px;
	border-right: 0px;
}

.table {
	border: 0px;
}

.produit {
	font-weight: bold;
	width: 55%;
}

.rayon {
	width: 35%;

}

.rayon-nom {
	width: 90%;

}

.delete-produit {
	width: 5%;
	/* background-color: #212529; */

}

.input-color {
	width: 20%;
}


@media (max-width: 1200px) {

	.input-color {
		display: none;
	}

	.action-icon {
		width: 20px;
		height: 20px;
	}

	.action-icon-big {
		width: 25px;
		height: 25px;
		margin-top: 5px;
		cursor: pointer;
	}

	.action-icon-small {
		width: 20px;
		height: 20px;
	}

	.action-icon-xsmall {
		width: 20px;
		height: 20px;
	}

}

.button-left {
	left: 15px;
	position: absolute;
}


.btn {
	box-shadow: none !important;
}

.btn-switch {
	color: #fff;
	background-color: #1d2124;
	border-color: #171a1d;
}

.btn-switch.active {
	color: #fff;
	background-color: #17a2b8;
	border-color: #17a2b8;
}

.title {
	color: #1d2124;
	font-size: 1rem;
	opacity: 0.8;
	vertical-align: middle;
}

#rayons_overlay {

	background-color: #343a40;
	opacity: 0;
	width: 85%;
	position: absolute;
	z-index: 5;
	top: 56px;
	bottom: 85px;
}

.tt-menu {
	width: 100%;
	cursor: pointer;
	/*border-top-left-radius: 5px;
    border-top-right-radius: 5px;*/
	opacity: 1;
	border: 1px solid #000;
	border-bottom-right-radius: 5px;
	border-bottom-left-radius: 5px;
}
}

.tt-dataset:last-child .tt-suggestion:last-child {
	border-bottom-right-radius: 10px;
	border-bottom-left-radius: 10px;
}

.tt-suggestion {
	background-color: #343a40;
	color: cadetblue;
	padding-left: 5px;
}

.tt-suggestion:hover {
	background-color: #4B5763;
}

#scrollable-dropdown-menu .tt-dropdown-menu {
	max-height: 150px;
	overflow-y: auto;
}


.produits-header,
.recettes-header {
	background-color: #212529;
	color: #FFF;

}

@media (max-width: 500px) {

	.tt-input,
	.tt-hint {
		max-width: 150px;
	}
}


.striked td {
	text-decoration: line-through;
	background-color: #212529 !important;
	color: #666 !important;
	border-top: 1px solid #000;
	border-bottom: 1px solid #000;
	font-weight: normal;
}

.striked td img {
	opacity: 0.1;

}

.modal-content label {
	color: cadetblue;
	opacity: 0.6;
}

.modal-header h5 {
	color: #FFF;
}

.modal-content {
	background-color: #343a40 !important;
}

.modal-header {
	border-bottom: 1px solid #000;
}

.modal-footer {
	border-top: 1px solid #000;
}

.modal-backdrop.show {
	opacity: .9;
}


.close {
	color: cadetblue;
	text-shadow: 0 1px 0 #000;
}

.form-control:disabled,
.form-control[readonly] {
	background-color: #212529;
	opacity: 1;
	border: 1px solid #000;
	color: #555;
}

.table-informations {
	color: #999;
	font-weight: normal;
	background-color: #242a30;
}


.table-informations-titre {
	text-align: right;

}

.table-informations-valeur-bold {
	font-weight: bold;
	color: #00CCFF;
}

.table-informations-valeur {
	color: #FFF;
}

.date-picker {
	cursor: pointer;
}

#menus {
	padding-left: 0px !important;
}

#courses-header {
	padding-right: 0px !important;
}

.carte {
	max-width: 100%;
	max-height: 100%;
}

.btn-u {
	color: #fff;
	background-color: #64c8f0;
	border-color: #000;
}

.btn-leclerc {
	color: #fff;
	background-color: #06c;
	border-color: #000;
}